GDM 和 Upgrade

Hiweed Debian默认是启动到控制台的,在图形化登录界面风行的今天未免有些不合潮流,于是我在朋友的建议下安装了GDM(Gnome Display Manager)。
安装GDM的过程一帆风顺,安装完毕后重新启动,系统显示图形登录界面。GDM自带三个主题,默认的主题比较普通没有什么值得称道的,但是另外两个主题都还不错,其中一个叫做欢乐什么的挺好,很像WinXP的登录界面,用户很容易上手。美中不足的是中文字体显示得很小,看起来不舒服。进入Default Session后X-Window的字体也小得厉害,实在不能忍受。后来查阅了Hiweed的论坛得知:启动时选择Xfce Session,登录后效果会比较好。我就遵照提示跑了一遍,字体效果是好多了,但其他问题又接踵而至:系统变量设置信息找不到;中文输入法没有自动加载;有几个Gnome程序也运行不了了。没办法,只好继续埋头苦干。最后的结果是:系统变量和中文输入法搞定了,那几个程序还是搞不定——在Terminal中运行时提示font有问题???sad_smile.gif
仔细的查了查,目前看来,安装GDM之后KDE相关的程序没有受影响,Gnome相关的程序有小部分受到影响,总体来说还是不错的,我也就安心的继续用下去了。

都说Windows程序有DLL黑洞,我觉得在Linux下也要小心。我在安装软件的时候到没有发现冲突,可是当我升级软件包的时候就出现了问题。也怪我当时我没在意,使用了命令行将libgtksourceview-common从1.0.2升级到1.0.3。开始时一切正常,当执行到覆盖已有内容时出现了问题,系统提示1.0.2被其他的程序引用(MonoDevelop中的组件)不能覆盖后退出。我再次运行软件包管理程序时系统就报告发现libgtksourceview-common包破损。我使用了已知的所有办法都没能修复这个错误,无可奈何之下只能听之任之。
这种情形对使用没有造成什么损害,只是在升级或安装程序时第一次会报错并退出,也就是说要执行升级或安装操作的话需要执行两次命令。
昨天,我再次升级系统时发现引用该软件包所有程序都有了更新,执行升级后该错误被自动修复了。
所以,在Linux下升级软件包的时候还是要小心一些,虽然没有Windows下那么严重,但是如果毁损的文件比较重要也是得不偿失。使用aptitude程序比较好,升级时如果有依赖的包会有红色信息提示。

这两天又添加了几个应用程序:
ksnapshot:抓图软件
kaffeine:Media Player,支持rstp(要设置解码库的路径)和mms
kmymoney2:财务软件,还有Grisbi也是
gnomemeeting:从介绍来看有点像ms netmeeting,不过我的集成声卡没有配置好所以运行后没有效果
planner:项目管理软件
gb:gnome basic,还没用 regular_smile.gif
ksokoban:游戏,搬运工
kshisen:游戏:连连看

阅读更多
个人分类: Linux之旅
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭